package com.kmall.api.service;

import com.kmall.api.dao.ApiFreightMapper;
import com.kmall.api.dao.ApiThirdMerchantBizMapper;
import com.kmall.api.entity.FreightEntity;
import com.kmall.api.entity.ThirdMerchantBizVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Service实现类
 *
 * @author
 */
@Service
public class ApiThirdMerchantBizService {
    @Autowired
    private ApiThirdMerchantBizMapper thirdMerchantBizMapper;

    
    public ThirdMerchantBizVo queryObject(Integer id) {
        return thirdMerchantBizMapper.queryObject(id);
    }

    
    public List<ThirdMerchantBizVo> queryList(Map<String, Object> map) {
        return thirdMerchantBizMapper.queryList(map);
    }

    
    public int queryTotal(Map<String, Object> map) {
        return thirdMerchantBizMapper.queryTotal(map);
    }

    
    public int save(ThirdMerchantBizVo thirdMerchantBizVo) {
        return thirdMerchantBizMapper.save(thirdMerchantBizVo);
    }

    
    public int update(ThirdMerchantBizVo thirdMerchantBizVo) {
        return thirdMerchantBizMapper.update(thirdMerchantBizVo);
    }

    
    public int delete(Integer id) {
        return thirdMerchantBizMapper.delete(id);
    }

    
    public int deleteBatch(Integer[]ids) {
        return thirdMerchantBizMapper.deleteBatch(ids);
    }


    public ThirdMerchantBizVo getThirdMerchangByCode(String thirdMerchantCode) {
        return thirdMerchantBizMapper.getThirdMerchangByCode(thirdMerchantCode);
    }
}
